/*
 * Copyright (c) 2007 Intel Corporation
 * All rights reserved.
 *
 * This file is distributed under the terms in the attached INTEL-LICENSE     
 * file. If you do not find these files, copies can be found by writing to
 * Intel Research Berkeley, 2150 Shattuck Avenue, Suite 1300, Berkeley, CA, 
 * 94704.  Attention:  Intel License Inquiry.
 */
/*
 * for CS321, ported to tinyos-1.x. To be used with iMote2 and
 * ITS400 sensor board.
 *
 * @author Brano Kusy
 * @date   10/8/07
 */

#ifndef TESTDESYNC_H
#define TESTDESYNC_H

enum {
  AM_DESYNC_QUERY = 3,
  AM_DESYNC_REPORT = 4,
};


typedef nx_struct desyncQuery {
  nx_uint8_t seqNumber;
} desyncQuery_t;


typedef nx_struct desyncReport {
  nx_uint8_t seqNumber;
  nx_uint8_t nodeID;
  nx_uint32_t offsetTillScheduled;
  nx_uint32_t currentTime;
} desyncReport_t;

#endif
