// $Id: app.h,v 1.1 2007/10/19 22:56:55 kusy Exp $
/*
 * Copyright (c) 2007 Intel Corporation
 * All rights reserved.
 *
 * This file is distributed under the terms in the attached INTEL-LICENSE     
 * file. If you do not find these files, copies can be found by writing to
 * Intel Research Berkeley, 2150 Shattuck Avenue, Suite 1300, Berkeley, CA, 
 * 94704.  Attention:  Intel License Inquiry.
 */
/*
 * Modified for CS321, ported to tinyos-1.x. To be used with iMote2 and
 * ITS400 sensor board.
 *
 * @author Brano Kusy
 * @date   09/28/07
 */

enum {
  AM_PERIOD_MSG = 5,
}

typedef nx_struct periodMsg {
  nx_uint16_t period; //in 10ms units, so period=1 means 10ms period, period=1000 means 10sec period
} periodMsg_t;
